// LICENSE : MIT
"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var fs = require("fs");

var FileCache = function () {
    function FileCache(_ref) {
        var filePath = _ref.filePath;
        var hash = _ref.hash;
        var lastChecked = _ref.lastChecked;

        _classCallCheck(this, FileCache);

        this.filePath = filePath;
        this.hash = hash;
        this.lastChecked = lastChecked;
    }

    /**
     * @param {FileCache} fileCache
     * @returns {boolean}
     */


    _createClass(FileCache, [{
        key: "equals",
        value: function equals(fileCache) {
            if (fileCache.filePath !== this.filePath) {
                return false;
            }
            if (fileCache.hash !== this.hash) {
                return false;
            }
            return true;
        }
    }, {
        key: "toJSON",
        value: function toJSON() {
            return {
                filePath: this.filePath,
                hash: this.hash,
                lastChecked: this.lastChecked
            };
        }
    }]);

    return FileCache;
}();

exports.default = FileCache;
//# sourceMappingURL=FileCache.js.map