// LICENSE : MIT
"use strict";

var _FileCacheManager = require("./FileCacheManager");

var _FileCacheManager2 = _interopRequireDefault(_FileCacheManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var meow = require('meow');

var cli = meow("\n    Usage\n      $ file-cache-cli [options]\n\n    Options\n      --maxAge cache max-age time. Default: 60 * 1000 * 5 (5sec)\n      --cacheDir path to cache dir. Default: os.tmpDir() \n      \n    Examples\n      $ ls | file-cache-cli | echo\n");
module.exports = {
    clean: function clean() {
        var fileCacheManager = new _FileCacheManager2.default(cli.flags);
        fileCacheManager.clean();
    },
    exec: function exec(filePathList) {
        /*
        {
            flags: {
                maxAge: 10
                cacheDir: "path"
            },
        }
        */
        var fileCacheManager = new _FileCacheManager2.default(cli.flags);
        return fileCacheManager.filterByCache(filePathList);
    }
};
//# sourceMappingURL=cli.js.map